/* You can add global styles to this file, and also import other style files */

/* Importing Bootstrap SCSS file. */
@import "bootstrap/scss/bootstrap";
@import "~@angular/material/prebuilt-themes/indigo-pink.css";
@import "material-icons/iconfont/material-icons.css";

// @use "@angular/material" as mat;

// $my-custom-level: mat.define-typography-level(
//     $font-family: prompt,
//     $font-weight: 400,
//     $font-size: 1rem,
//     $line-height: 1,
//     $letter-spacing: normal
// );

$main: #f7992d;
$bar: 60px;
$inputHeight: 30px;
$btnColor: rgb(61, 61, 61);
$boderColor: rgb(233, 233, 233);

// ::ng-deep small {
//     font-family: "prompt" !important;
//     color: black;
// }
// ::ng-deep div {
//     font-family: "prompt" !important;
// }

* {
    font-family: "prompt";
    font-weight: 900 !important;
    small {
        font-weight: 900 !important;
        font-size: 15px !important;
    }
    strong {
        font-weight: bold !important;
    }

    /* Add !important to overwrite all elements */
}

// ::ng-deep span {
::ng-deep .material-symbols-outlined {
    font-family: "Material Symbols Outlined" !important;
}
// }

button {
    border-radius: 4px;
}
.pointer {
    cursor: pointer;
}

// ::ng-deep .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,
// .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,
// .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing {
//     border-color: $boderColor !important;
// }
// :ng-deep .mdc-text-field--outlined:not(.mdc-text-field) .mdc-notched-outline__trailing  {
//     border-width: 0px;
//     border-color: $boderColor !important;
// }

.mr-3 {
    margin-right: 10px !important;
}

.mr-4 {
    margin-right: 22px !important;
}

.mr-10 {
    margin-right: 30px !important;
}

.mr-13 {
    margin-right: 45px !important;
}

.mr-2 {
    margin-right: 6px !important;
}

.pl-4 {
    padding-left: 27px !important;
}

.ml-3 {
    margin-left: 10px !important;
}

.ml-2 {
    margin-left: 6px !important;
}

.ml-1 {
    margin-left: 3px !important;
}

.mt-1 {
    margin-top: 3px !important;
}

.mt-2 {
    margin-top: 6px !important;
}

.mt-3 {
    margin-top: 10px !important;
}
.mt-10 {
    margin-top: 20px !important;
}

.mb-3 {
    margin-bottom: 10px !important;
}

.mb-2 {
    margin-bottom: 6px !important;
}
